RIGCTL(1)

NAME
rigctl - control radio transceivers and receivers

SYNOPSIS
rigctl [OPTION]... [COMMAND]...

DESCRIPTION
Control radio transceivers and receivers. rigctl accepts commands from command line as well as in interactive mode if none provided in command line.

Keep in mind that Hamlib is still ALPHA level software. A lof of stuff hasn't been tested thoroughly, and the API may change without publicised notice. Please report bugs and feedback at the e-mail address given in the REPORTING BUGS section.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-m, --model=id
    Select radio model number. See model list.

-r, --rig-file=device
    Use device as the file name of the radio to operate on.

-p, --ptt-file=device
    Use device as the file name of the Push-To-Talk device to operate on.

-d, --dcd-file=device
    Use device as the file name of the Data Carrier Detect device to operate on.

-p, --ptt-type=type
    Use type device as the kind of the Push-To-Talk device to operate on. Supported types are RIG, DTR, RTS, PARALLEL, NONE.

-d, --dcd-type=type
    Use type device as the kind of the Data Carrier Detect device to operate on. Supported types are RIG, DSR, CTS, CD, PARALLEL, NONE.

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximal rig speed as default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the rig. Only for Icom rigs. NB: the id is in decimal notation, unless prefixed by 0x, in which case it is hexadecimal.

-L, --show-conf
    List all config parameters.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter.

-l, --list
    List all model numbers and exit.

-u, --dump-caps
    Dump capabilities and exit.

-o, --vfo
    Set vfo mode, requiring an extra VFO argument in front of each appropriate command. Otherwise, VFO_CURR is assumed when this option is not set.

-v, --verbose
    Set verbose mode, cumulative (BUG, ERR, WARN, VERBOSE, TRACE).

-h, --help
    Show summary of options and exit.

-V, --version
    Show version of program and exit.

COMMANDS
Commands can be entered either as a single char, or as a long command name. Basically, the commands do not take a dash in front of them on the command line, as the options usually do. They may be typed in when in interactive mode or provided as argument in command line interface mode.

Since most of the Hamlib operations have a set and a get method, upper case letter will be used for set method whereas the corresponding lower case letter refers to the get method. In interactive, prepend a backslash to enter a long command name. Example: "\dump_caps" to see what this model can do.

Please note that the backend for the radio to be controlled, or the radio itself may not support some commands. In that case, the operation will fail with a standard error message.

A summary of commands is included below.

F, set_freq
    Set frequency, in Hz.

f, get_freq
    Get frequency, in Hz.

M, set_mode
    Set mode/passband: AM, FM, CW, CWR, USB, LSB, RTTY, RTTYR, WFM, AMS, PKTLSB, PKTUSB, PKTFM, ECSSUSB, ECSSLSB, FAX. The passband is the exact passband in Hz, or 0 for the default.

m, get_mode
    Get mode/passband.

V, set_vfo
    Set VFO: VFOA, VFOB, VFOC, VFO, MEM, Main, Sub, etc.

v, get_vfo
    Get current VFO.

J, set_rit
    Set RIT, in Hz.

j, get_rit
    Get RIT, in Hz.

Z, set_xit
    Set XIT, in Hz.

z, get_xit
    Get XIT, in Hz.

T, set_ptt
    Set PTT, 0 or 1.

t, get_ptt
    Get PTT status.

R, set_rptr_shift
    Set repeater shift: "+", "-" or something else for none.

r, get_rptr_shift
    Get repeater shift.

O, set_rptr_offs
    Set repeater offset, in Hz.

o, get_rptr_offs
    Get repeater offset.

C, set_ctcss_tone
    Set CTCSS tone, in tenth of Hz.

c, get_ctcss_tone
    Get CTCSS tone, in tenth of Hz.

D, set_dcs_code
    Set DCS code.

d, get_dcs_code
    Get DCS code.

I, set_split_freq
    Set TX frequency, in Hz.

i, get_split_freq
    Get TX frequency.

X, set_split_mode
    Set transmit mode/passband: AM, FM, CW, CWR, USB, LSB, RTTY, RTTYR, WFM, AMS, PKTLSB, PKTUSB, PKTFM, ECSSUSB, ECSSLSB, FAX. The passband is the exact passband in Hz, or 0 for the default.

x, get_split_mode
    Get transmit mode/passband.

S, set_split_vfo
    Set split mode, 0 or 1, and transmit VFO.

s, get_split_vfo
    Get split mode and transmit VFO.

N, set_ts
    Set tuning step, in Hz.

n, get_ts
    Get tuning step.

U, set_func
    Set func/status: FAGC, NB, COMP, VOX, TONE, TSQL, SBKIN, FBKIN, ANF, NR, AIP, MON, MN, RNF, ARO, LOCK, MUTE, VSC, REV, SQL, BC, MBC, AFC, SATMODE, SCOPE, RESUME, TUNER.

u, get_func
    Get func status.

L, set_level
    Set level/value: PREAMP, ATT, VOX, AF, RF, SQL, IF, APF, NR, PBT_IN, PBT_OUT, CWPITCH, RFPOWER, MICGAIN, KEYSPD, NOTCHF, COMP, AGC, BKINDL, BAL, METER, VOXGAIN, ANTIVOX. Plus "extra" levels.

l, get_level
    Get level value: also SWR, ALC, STRENGTH, RAWSTR.

P, set_parm
    Set parm/value: ANN, APO, BACKLIGHT, BEEP, TIME, BAT. Plus "extra" parameters.

p, get_parm
    Get parm value.

B, set_bank
    Set bank.

E, set_mem
    Set memory channel number.

e, get_mem
    Get memory channel number.

G, vfo_op
    Perform VFO operation: CPY, XCHG, FROM_VFO, TO_VFO, MCL, UP, DOWN, BAND_UP, BAND_DOWN, LEFT, RIGHT, TUNER, TOGGLE.

g, scan_op
    Perform scan operation/channel: STOP, MEM, SLCT, PRIO, DELTA, VFO, PLT.

H, set_channel
    Set memory channel data. Not implemented yet.

h, get_channel
    Get memory channel data.

A, set_trn
    Set transceive mode (reporting event): OFF, RIG, POLL.

a, get_trn
    Get transceive mode (reporting event).

set_ant
    Set antenna number (0, 1, 2, ..).

get_ant
    Get antenna number (0, 1, 2, ..).

reset
    Reset.

send_morse
    Send morse symbols.

set_powerstat
    Set power status.

get_powerstat
    Get power status.

_, get_info
    Get misc information about the rig.

dump_caps
    Not a real rig remote command, it just dumps capabilities, i.e. what the backend knows about this model, and what it can do.

RETURN VALUE
rigctl exits with: 0 if all operations went fine; 1 if there was an invalid command line option or arg; or 2 if an error was returned by Hamlib.

AUTHOR
Written by Stephane Fillod.

BUGS
set_chan has no entry method as of yet, hence left unimplemented.

This almost empty section...

REPORTING BUGS
Report bugs to <hamlib-developer@users.sourceforge.net>.
I'm already aware of the bug in the previous section :-)

COPYRIGHT
Copyright © 2000-2006 Stephane Fillod & Frank Singleton.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
hamlib(3)